Subject: A year ago you came to Russia, I remember you, write me!

From: [email-masked]
Date: Fri, 26 Mar 2010 11:10:10 -0300

Meet and marry a gorgeous Russian queen.  http://bujumbura0156.spaces.live.com